# VRML/TOOLS/Makefile
############################################################################

# use same configuration parameters as in parent directory
include ../Config.common
include ../Config.site

POOLSDIR = ../POOLS

############################################################################
# No need to change anything below here
############################################################################
# the source files in this directory
SOURCES = plotfunc.c
OBJECTS = ${SOURCES:.c=.o}

THISDIRFLAGS = -I. -I../POOLS -I../VRML

#default target: compile
all: plotfunc

# generate source file dependencies
depend:
	$(MAKEDEPEND) $(MKDEPFLAGS) $(SOURCES) > deps

.phony: libpools

libpools:
	cd $(POOLSDIR); make all

plotfunc: plotfunc.o
	$(CC) $(LDFLAGS) -o plotfunc plotfunc.o -lm

# make a clean source tree again
cleanhere:
	-${RM} plotfunc *.o *~ core deps
	${TOUCH} deps

clean: cleanhere

distclean: cleanhere

###############################################################################
# dependencies --- automatically generated with make depend !!
###############################################################################
include deps


